
ChiliProject - Bug # 309: The login screen after lost_password redirects back to lost_password after 
you login

Status: Closed Priority: Normal
Author: Robert Chady Category: User accounts
Created: 2011-03-29 Assignee: Eric Davis
Updated: 2011-04-20 Due date:
Remote issue URL:
Affected version: 1.2.0
Description: If you use lost_password, then login at the login screen, you will be taken back to the lost_password screen -- 

confusing to say the least.  This is because back_url() uses HTTP_REFERER if back_url isn't set.  I created a 
simple fix by directly specifying the :back_url in the redirect -- patch attached.

Associated revisions
2009-05-03 11:25 pm - Eric Davis
Added the ability to copy a project in the Project Administration panel.

* Added Copy project button.
* Added Project#copy_from to duplicate a project to be modified and saved by the user
* Added a ProjectsController#copy based off the add method
** Used Project#copy_from to create a duplicate project in memory
* Implemented Project#copy to copy data for a project from another and save it.
** Members
** Project level queries
** Project custom fields
* Added a plugin hook for Project#copy.

  #1125  #1556  #886  #309

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2704 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-04-21 01:24 am - Eric Davis
[#309] Set the back_url after sending a lost password so HTTP_REFERER isn't used

Contributed by Robert Chady

History
2011-03-29 11:10 pm - Eric Davis
- Target version set to 1.3.0

- Category set to User accounts

I'll add a test to confirm this.

2011-04-20 11:49 pm - Eric Davis
- (deleted custom field) set to 1.2.0

- Status changed from Open to Closed
Added in commit:ed252f7 with a pending test. Unfortunately it looks like I need webrat or capybara to submit the form instead of sending a raw POST 
request. So the code has been added but the test will need to be pending until we add one of those testing libraries: 
https://www.chiliproject.org/boards/2/topics/122

Files
account_controller.patch 557 Bytes 2011-03-29 Robert Chady
